summaryrefslogtreecommitdiffstats
path: root/toolchain
diff options
context:
space:
mode:
authorPeter Korsgaard <jacmet@sunsite.dk>2009-10-02 09:06:51 +0200
committerPeter Korsgaard <jacmet@sunsite.dk>2009-10-02 09:06:51 +0200
commit7f7bf9637e2a9c32292d350a3155ce5301261ed1 (patch)
tree89f9179089dc3a6ba1cf4d70af311086c377d7b8 /toolchain
parent8a19a7956552715003a5063b3d66be7f831b6e9e (diff)
downloadbuildroot-novena-7f7bf9637e2a9c32292d350a3155ce5301261ed1.tar.gz
buildroot-novena-7f7bf9637e2a9c32292d350a3155ce5301261ed1.zip
dependencies: check for 'patch'
We need patch for patch-kernel.sh, so verify that it's available before building. Signed-off-by: Peter Korsgaard <jacmet@sunsite.dk>
Diffstat (limited to 'toolchain')
-rwxr-xr-xtoolchain/dependencies/dependencies.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/toolchain/dependencies/dependencies.sh b/toolchain/dependencies/dependencies.sh
index 9e2e50b4c..a3ee111c0 100755
--- a/toolchain/dependencies/dependencies.sh
+++ b/toolchain/dependencies/dependencies.sh
@@ -297,6 +297,12 @@ fi;
echo "gettext installed: Ok"
+#############################################################
+#
+# check build system 'makeinfo'
+#
+#############################################################
+
if ! which makeinfo > /dev/null ; then \
echo "makeinfo installed: FALSE"
/bin/echo -e "\n\nMost likely some packages will fail to build their documentation"
@@ -306,6 +312,17 @@ else
echo "makeinfo installed: Ok"
fi
+#############################################################
+#
+# check build system 'patch'
+#
+#############################################################
+if ! which patch > /dev/null ; then \
+ echo "patch installed: FALSE"
+ /bin/echo -e "\n\nYou must install 'patch' on your build machine\n"; \
+ exit 1; \
+fi;
+echo "patch installed: Ok"
#############################################################
#